#### D.15.31.8 FloorDiagrams

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  FloorDiagrams(G,aa,O,Lw,n); G graph,aa list, O list, Lw list,n int

Assume:
  G is a pearl chain of the degree d, aa is a partition of degree d, O is an ordering of the vertices of G, Lw is a list where the first n terms represent the leaks in G and the next d2 terms is a list of white pearls (assuming the first pearl is always white). NOTE: Requires pdflatex to be installed.

Return:
  Latex file.

Theory:
  If n=0: the procedure generates a Latex file for all the tropical stable maps to ExP1 and if n=1:the procedure generates the source file that can be executed in Latex to get all the stable maps of ExP1 (in the form of floor diagrams) for every curled pearl chain of an elliptic curve E provided similar information.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring R=0,(x1,x2,x3,x4,x5),dp;
    graph P=makeGraph(list(1,2,3,4,5),list(list(1,2),list(1,3),list(3,4),list(2,4),list(4,5),list(1,5)));
    //graph P is a pearl chain
    FloorDiagrams(P,list(0,0,2,0,0,1),list(x5,x4,x2,x1,x3),list(0,0,0,0,0,1,4),0);

User manual for Singular version 4.4.1, 2025, generated by texi2html.